Skip to main content
`Ctrl`+`K`

# PetscHMapObjDel

Remove a key and its value from the hash table

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjDel(PetscHMapObj ht,PetscInt64 key)

## Input Parameters

- ht - The hash table

- key - The key

## See Also

`PetscHMapObjHas()`, `PetscHMapObjIterDel()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages